
/* idea.h - header file for idea.c */

#define IFAR

void initkey_idea(unsigned char IFAR *key, int decryp);
void idea_ecb(unsigned short IFAR *inbuf, unsigned short IFAR *outbuf);
void initcfb_idea(unsigned short IFAR *iv0, unsigned char IFAR *key, int decryp);
void ideacfb(unsigned char IFAR *buf, int count);
void close_idea(void);
void init_idearand(unsigned char key[16], unsigned char seed[8], unsigned long tstamp);
unsigned char idearand(void);
void close_idearand(void);
